import Dockerode from 'dockerode';
import Image from '../docker/image.js';
export default class ImagePuller {
    private readonly docker;
    private readonly imageName;
    constructor(docker: Dockerode, imageName: string);
    pull(): Promise<Image>;
}
